Bug 110886 - file overlap issues with kdelibs 3.1.93
Summary: file overlap issues with kdelibs 3.1.93
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-25 08:59 UTC by Dennis Gilmore
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 09:47:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2003-11-25 08:59:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Installing kdelibs 3.1.93 i got a few file overlaps with other packages

kdelibs tries to overwrite some files owned by openoffice.org and k3b. 

openoffice.org files should be removed from kdelibs  while k3b should
only be taken out if kde 3.2  doesnt provide k3b

Version-Release number of selected component (if applicable):
kdelibs-3.1.93-0.1

How reproducible:
Always

Steps to Reproduce:
1. install fedora core
2. download kde 3.1.93 rpms from kde.org
3. rpm -Uvh kde*rpm 
    

Actual Results:  file
/usr/share/mimelnk/application/vnd.sun.xml.calc.desktop from install of 
kdelibs-3.1.93-0.1 conflicts with file from package openoffice.org-1.1.0-6
        file /usr/share/mimelnk/application/vnd.sun.xml.draw.desktop from 
install of kdelibs-3.1.93-0.1 conflicts with file from package 
openoffice.org-1.1.0-6
        file
/usr/share/mimelnk/application/vnd.sun.xml.impress.desktop from 
install of kdelibs-3.1.93-0.1 conflicts with file from package 
openoffice.org-1.1.0-6
        file /usr/share/mimelnk/application/vnd.sun.xml.writer.desktop
from 
install of kdelibs-3.1.93-0.1 conflicts with file from package 
openoffice.org-1.1.0-6
        file /usr/share/mimelnk/application/x-cue.desktop from install of 
kdelibs-3.1.93-0.1 conflicts with file from package k3b-0.9-0.fdr.5
        file /usr/share/mimelnk/application/x-iso.desktop from install of 
kdelibs-3.1.93-0.1 conflicts with file from package k3b-0.9-0.fdr.5


Expected Results:  files to be upgraded with out conflict issues

Additional info:

Comment 1 Ngo Than 2004-03-01 09:47:32 UTC
>kdelibs-3.1.93-0.1 conflicts with file from package k3b-0.9-0.fdr.5
>  file /usr/share/mimelnk/application/x-iso.desktop from install of 

there's no k3b in our distribution, please fix k3b, It should not
include this file.



Note You need to log in before you can comment on or make changes to this bug.